
{
  "header": {
    "reportVersion": 1,
    "event": "Allocation failed - JavaScript heap out of memory",
    "trigger": "FatalError",
    "filename": "report.20210711.192955.12984.0.001.json",
    "dumpEventTime": "2021-07-11T19:29:55Z",
    "dumpEventTimeStamp": "1626024595416",
    "processId": 12984,
    "cwd": "C:\\FatboarProject\\express-server",
    "commandLine": [
      "C:\\Program Files\\nodejs\\node.exe",
      "index.js"
    ],
    "nodejsVersion": "v12.14.1",
    "wordSize": 64,
    "arch": "x64",
    "platform": "win32",
    "componentVersions": {
      "node": "12.14.1",
      "v8": "7.7.299.13-node.16",
      "uv": "1.33.1",
      "zlib": "1.2.11",
      "brotli": "1.0.7",
      "ares": "1.15.0",
      "modules": "72",
      "nghttp2": "1.40.0",
      "napi": "5",
      "llhttp": "2.0.1",
      "http_parser": "2.8.0",
      "openssl": "1.1.1d",
      "cldr": "35.1",
      "icu": "64.2",
      "tz": "2019c",
      "unicode": "12.1"
    },
    "release": {
      "name": "node",
      "lts": "Erbium",
      "headersUrl": "https://nodejs.org/download/release/v12.14.1/node-v12.14.1-headers.tar.gz",
      "sourceUrl": "https://nodejs.org/download/release/v12.14.1/node-v12.14.1.tar.gz",
      "libUrl": "https://nodejs.org/download/release/v12.14.1/win-x64/node.lib"
    },
    "osName": "Windows_NT",
    "osRelease": "10.0.19041",
    "osVersion": "Windows 10 Home",
    "osMachine": "x86_64",
    "cpus": [
      {
        "model": "Intel(R) Core(TM) i5-7200U CPU @ 2.50GHz",
        "speed": 2712,
        "user": 3624625,
        "nice": 0,
        "sys": 2326093,
        "idle": 41092812,
        "irq": 355593
      },
      {
        "model": "Intel(R) Core(TM) i5-7200U CPU @ 2.50GHz",
        "speed": 2712,
        "user": 3223765,
        "nice": 0,
        "sys": 1823687,
        "idle": 41995859,
        "irq": 176234
      },
      {
        "model": "Intel(R) Core(TM) i5-7200U CPU @ 2.50GHz",
        "speed": 2712,
        "user": 3736546,
        "nice": 0,
        "sys": 2090656,
        "idle": 41216109,
        "irq": 56234
      },
      {
        "model": "Intel(R) Core(TM) i5-7200U CPU @ 2.50GHz",
        "speed": 2712,
        "user": 3612843,
        "nice": 0,
        "sys": 1672421,
        "idle": 41758046,
        "irq": 37765
      }
    ],
    "networkInterfaces": [
      {
        "name": "VMware Network Adapter VMnet1",
        "internal": false,
        "mac": "00:50:56:c0:00:01",
        "address": "fe80::d99e:def6:6932:90ed",
        "netmask": "ffff:ffff:ffff:ffff::",
        "family": "IPv6",
        "scopeid": 15
      },
      {
        "name": "VMware Network Adapter VMnet1",
        "internal": false,
        "mac": "00:50:56:c0:00:01",
        "address": "192.168.16.1",
        "netmask": "255.255.255.0",
        "family": "IPv4"
      },
      {
        "name": "VMware Network Adapter VMnet8",
        "internal": false,
        "mac": "00:50:56:c0:00:08",
        "address": "fe80::f128:3328:d6bc:2403",
        "netmask": "ffff:ffff:ffff:ffff::",
        "family": "IPv6",
        "scopeid": 14
      },
      {
        "name": "VMware Network Adapter VMnet8",
        "internal": false,
        "mac": "00:50:56:c0:00:08",
        "address": "192.168.110.1",
        "netmask": "255.255.255.0",
        "family": "IPv4"
      },
      {
        "name": "Wi-Fi",
        "internal": false,
        "mac": "98:22:ef:c4:4c:8d",
        "address": "2001:861:3081:3b10:7d2a:822b:c961:c509",
        "netmask": "ffff:ffff:ffff:ffff::",
        "family": "IPv6",
        "scopeid": 0
      },
      {
        "name": "Wi-Fi",
        "internal": false,
        "mac": "98:22:ef:c4:4c:8d",
        "address": "fdaa:bbcc:ddee:0:7d2a:822b:c961:c509",
        "netmask": "ffff:ffff:ffff:ffff::",
        "family": "IPv6",
        "scopeid": 0
      },
      {
        "name": "Wi-Fi",
        "internal": false,
        "mac": "98:22:ef:c4:4c:8d",
        "address": "2001:861:3081:3b10:6c83:a03:df65:f757",
        "netmask": "ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff",
        "family": "IPv6",
        "scopeid": 0
      },
      {
        "name": "Wi-Fi",
        "internal": false,
        "mac": "98:22:ef:c4:4c:8d",
        "address": "fdaa:bbcc:ddee:0:2c32:ce69:b8fb:fcd5",
        "netmask": "ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff",
        "family": "IPv6",
        "scopeid": 0
      },
      {
        "name": "Wi-Fi",
        "internal": false,
        "mac": "98:22:ef:c4:4c:8d",
        "address": "fe80::7d2a:822b:c961:c509",
        "netmask": "ffff:ffff:ffff:ffff::",
        "family": "IPv6",
        "scopeid": 13
      },
      {
        "name": "Wi-Fi",
        "internal": false,
        "mac": "98:22:ef:c4:4c:8d",
        "address": "192.168.1.6",
        "netmask": "255.255.255.0",
        "family": "IPv4"
      },
      {
        "name": "Loopback Pseudo-Interface 1",
        "internal": true,
        "mac": "00:00:00:00:00:00",
        "address": "::1",
        "netmask": "ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff",
        "family": "IPv6",
        "scopeid": 0
      },
      {
        "name": "Loopback Pseudo-Interface 1",
        "internal": true,
        "mac": "00:00:00:00:00:00",
        "address": "127.0.0.1",
        "netmask": "255.0.0.0",
        "family": "IPv4"
      }
    ],
    "host": "LAPTOP-DHVP67KF"
  },
  "javascriptStack": {
    "message": "No stack.",
    "stack": [
      "Unavailable."
    ]
  },
  "nativeStack": [
    {
      "pc": "0x00007ff6aa7e1759",
      "symbol": "std::basic_ostream<char,std::char_traits<char> >::operator<<+10873"
    },
    {
      "pc": "0x00007ff6aa7e5b7c",
      "symbol": "std::basic_ostream<char,std::char_traits<char> >::operator<<+28316"
    },
    {
      "pc": "0x00007ff6aa7e4b38",
      "symbol": "std::basic_ostream<char,std::char_traits<char> >::operator<<+24152"
    },
    {
      "pc": "0x00007ff6aa8d433b",
      "symbol": "v8::base::CPU::has_sse+37723"
    },
    {
      "pc": "0x00007ff6ab0d8c5e",
      "symbol": "v8::Isolate::ReportExternalAllocationLimitReached+94"
    },
    {
      "pc": "0x00007ff6ab0c0ca1",
      "symbol": "v8::SharedArrayBuffer::Externalize+833"
    },
    {
      "pc": "0x00007ff6aaf8e56c",
      "symbol": "v8::internal::Heap::EphemeronKeyWriteBarrierFromCode+1436"
    },
    {
      "pc": "0x00007ff6aaf99910",
      "symbol": "v8::internal::Heap::ProtectUnprotectedMemoryChunks+1312"
    },
    {
      "pc": "0x00007ff6aaf96444",
      "symbol": "v8::internal::Heap::PageFlagsAreConsistent+3204"
    },
    {
      "pc": "0x00007ff6aaf8bcd3",
      "symbol": "v8::internal::Heap::CollectGarbage+1283"
    },
    {
      "pc": "0x00007ff6aaf8a4a4",
      "symbol": "v8::internal::Heap::AddRetainedMap+2356"
    },
    {
      "pc": "0x00007ff6aafab775",
      "symbol": "v8::internal::Factory::NewFillerObject+53"
    },
    {
      "pc": "0x00007ff6aad17a49",
      "symbol": "v8::internal::interpreter::JumpTableTargetOffsets::iterator::operator=+4057"
    },
    {
      "pc": "0x00007ff6ab50463d",
      "symbol": "v8::internal::SetupIsolateDelegate::SetupHeap+567949"
    },
    {
      "pc": "0x000000fb00083a90",
      "symbol": ""
    }
  ],
  "javascriptHeap": {
    "totalMemory": 2155061248,
    "totalCommittedMemory": 2155061248,
    "usedMemory": 2147595552,
    "availableMemory": 47258376,
    "memoryLimit": 2197815296,
    "heapSpaces": {
      "read_only_space": {
        "memorySize": 262144,
        "committedMemory": 262144,
        "capacity": 261872,
        "used": 32296,
        "available": 229576
      },
      "new_space": {
        "memorySize": 4194304,
        "committedMemory": 4194304,
        "capacity": 2094976,
        "used": 448296,
        "available": 1646680
      },
      "old_space": {
        "memorySize": 2145234944,
        "committedMemory": 2145234944,
        "capacity": 2142945520,
        "used": 2142412424,
        "available": 533096
      },
      "code_space": {
        "memorySize": 950272,
        "committedMemory": 950272,
        "capacity": 632896,
        "used": 632896,
        "available": 0
      },
      "map_space": {
        "memorySize": 1052672,
        "committedMemory": 1052672,
        "capacity": 792240,
        "used": 792240,
        "available": 0
      },
      "large_object_space": {
        "memorySize": 3317760,
        "committedMemory": 3317760,
        "capacity": 3273848,
        "used": 3273848,
        "available": 0
      },
      "code_large_object_space": {
        "memorySize": 49152,
        "committedMemory": 49152,
        "capacity": 3552,
        "used": 3552,
        "available": 0
      },
      "new_large_object_space": {
        "memorySize": 0,
        "committedMemory": 0,
        "capacity": 2094976,
        "used": 0,
        "available": 2094976
      }
    }
  },
  "resourceUsage": {
    "userCpuSeconds": 144.609,
    "kernelCpuSeconds": 108.843,
    "cpuConsumptionPercent": 13.3466,
    "maxRss": 2227126272,
    "pageFaults": {
      "IORequired": 1693556,
      "IONotRequired": 0
    },
    "fsActivity": {
      "reads": 1124,
      "writes": 7
    }
  },
  "libuv": [
  ],
  "environmentVariables": {
    "ALLUSERSPROFILE": "C:\\ProgramData",
    "APPDATA": "C:\\Users\\carme\\AppData\\Roaming",
    "ChocolateyInstall": "C:\\ProgramData\\chocolatey",
    "ChocolateyLastPathUpdate": "132666955616020632",
    "CHROME_CRASHPAD_PIPE_NAME": "\\\\.\\pipe\\crashpad_13792_BAVMRHWOYCDQEEJQ",
    "CommonProgramFiles": "C:\\Program Files\\Common Files",
    "CommonProgramFiles(x86)": "C:\\Program Files (x86)\\Common Files",
    "CommonProgramW6432": "C:\\Program Files\\Common Files",
    "COMPUTERNAME": "LAPTOP-DHVP67KF",
    "ComSpec": "C:\\WINDOWS\\system32\\cmd.exe",
    "configsetroot": "C:\\WINDOWS\\ConfigSetRoot",
    "DASHLANE_DLL_DIR": "C:\\Users\\carme\\AppData\\Roaming\\Dashlane\\6.1918.0.20205\\bin\\Firefox_Extension\\{442718d9-475e-452a-b3e1-fb1ee16b8e9f}\\components;C:\\Users\\carme\\AppData\\Roaming\\Dashlane\\6.1918.0.20205\\ucrt;C:\\Users\\carme\\AppData\\Roaming\\Dashlane\\6.1918.0.20205\\bin\\Qt;C:\\Users\\carme\\AppData\\Roaming\\Dashlane\\6.1918.0.20205\\ucrt;C:\\Users\\carme\\AppData\\Roaming\\Dashlane\\6.1918.0.20205\\bin\\Ssl",
    "DriverData": "C:\\Windows\\System32\\Drivers\\DriverData",
    "FPS_BROWSER_APP_PROFILE_STRING": "Internet Explorer",
    "FPS_BROWSER_USER_PROFILE_STRING": "Default",
    "HOMEDRIVE": "C:",
    "HOMEPATH": "\\Users\\carme",
    "IntelliJ IDEA": "C:\\Program Files\\JetBrains\\IntelliJ IDEA 2018.3.5\\bin;",
    "JAVA_HOME": "C:\\Program Files\\Java\\jdk1.8.0_201",
    "LOCALAPPDATA": "C:\\Users\\carme\\AppData\\Local",
    "LOGONSERVER": "\\\\LAPTOP-DHVP67KF",
    "NUMBER_OF_PROCESSORS": "4",
    "OneDrive": "C:\\Users\\carme\\OneDrive",
    "ORIGINAL_XDG_CURRENT_DESKTOP": "undefined",
    "OS": "Windows_NT",
    "Path": "C:\\Python39\\Scripts\\;C:\\Python39\\;C:\\Program Files\\Common Files\\Oracle\\Java\\javapath;C:\\Program Files\\Python37\\Scripts\\;C:\\Program Files\\Python37\\;C:\\app\\carme\\product\\12.1.0\\dbhome_1\\bin;C:\\app\\Henri\\product\\12.1.0\\dbhome_1\\bin;C:\\Program Files (x86)\\Common Files\\Oracle\\Java\\javapath;C:\\Program Files\\Intel\\iCLS Client\\;C:\\WINDOWS\\system32;C:\\WINDOWS;C:\\WINDOWS\\System32\\Wbem;C:\\WINDOWS\\System32\\WindowsPowerShell\\v1.0\\;C:\\Program Files\\Java\\jdk-11.0.2\\bin;C:\\WINDOWS\\System32\\OpenSSH\\;C:\\Program Files\\Git\\cmd;C:\\Program Files\\PuTTY\\;C:\\Program Files (x86)\\Intel\\Intel(R) Management Engine Components\\DAL;C:\\Program Files\\Intel\\Intel(R) Management Engine Components\\DAL;C:\\PROGRA~2\\FANUC\\Shared\\UTILIT~1;C:\\PROGRA~2\\FANUC\\WinOLPC\\bin;C:\\ProgramData\\chocolatey\\bin;C:\\Program Files\\nodejs\\;C:\\Users\\carme\\AppData\\Local\\Microsoft\\WindowsApps;C:\\Program Files\\JetBrains\\IntelliJ IDEA 2018.3.5\\bin;;C:\\Users\\carme\\AppData\\Local\\Programs\\Microsoft VS Code\\bin;;C:\\Program Files\\JetBrains\\PyCharm Community Edition 2020.2.3\\bin;;C:\\Users\\carme\\AppData\\Roaming\\npm",
    "PATHEXT": ".COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC;.PY;.PYW;.CPL",
    "PROCESSOR_ARCHITECTURE": "AMD64",
    "PROCESSOR_IDENTIFIER": "Intel64 Family 6 Model 142 Stepping 9, GenuineIntel",
    "PROCESSOR_LEVEL": "6",
    "PROCESSOR_REVISION": "8e09",
    "ProgramData": "C:\\ProgramData",
    "ProgramFiles": "C:\\Program Files",
    "ProgramFiles(x86)": "C:\\Program Files (x86)",
    "ProgramW6432": "C:\\Program Files",
    "PSModulePath": "C:\\Users\\carme\\Dropbox\\Mon PC (LAPTOP-DHVP67KF)\\Documents\\WindowsPowerShell\\Modules;C:\\Program Files\\WindowsPowerShell\\Modules;C:\\WINDOWS\\system32\\WindowsPowerShell\\v1.0\\Modules",
    "PUBLIC": "C:\\Users\\Public",
    "PyCharm Community Edition": "C:\\Program Files\\JetBrains\\PyCharm Community Edition 2020.2.3\\bin;",
    "PYTHON": "C:\\Program Files\\Python37",
    "ROSE_DB": "C:\\PROGRA~2\\FANUC\\Shared\\Schemas",
    "SESSIONNAME": "Console",
    "SystemDrive": "C:",
    "SystemRoot": "C:\\WINDOWS",
    "TEMP": "C:\\Users\\carme\\AppData\\Local\\Temp",
    "TMP": "C:\\Users\\carme\\AppData\\Local\\Temp",
    "TMPDIR": "C:\\Users\\Public\\Documents\\Wondershare\\CreatorTemp",
    "USERDOMAIN": "LAPTOP-DHVP67KF",
    "USERDOMAIN_ROAMINGPROFILE": "LAPTOP-DHVP67KF",
    "USERNAME": "carme",
    "USERPROFILE": "C:\\Users\\carme",
    "VBOX_MSI_INSTALL_PATH": "C:\\Program Files\\Oracle\\VirtualBox\\",
    "windir": "C:\\WINDOWS",
    "TERM_PROGRAM": "vscode",
    "TERM_PROGRAM_VERSION": "1.58.0",
    "LANG": "fr_FR.UTF-8",
    "COLORTERM": "truecolor",
    "VSCODE_GIT_IPC_HANDLE": "\\\\.\\pipe\\vscode-git-dfbba79397-sock",
    "GIT_ASKPASS": "c:\\Users\\carme\\AppData\\Local\\Programs\\Microsoft VS Code\\resources\\app\\extensions\\git\\dist\\askpass.sh",
    "VSCODE_GIT_ASKPASS_NODE": "C:\\Users\\carme\\AppData\\Local\\Programs\\Microsoft VS Code\\Code.exe",
    "VSCODE_GIT_ASKPASS_MAIN": "c:\\Users\\carme\\AppData\\Local\\Programs\\Microsoft VS Code\\resources\\app\\extensions\\git\\dist\\askpass-main.js"
  },
  "sharedObjects": [
    "C:\\Program Files\\nodejs\\node.exe",
    "C:\\WINDOWS\\SYSTEM32\\ntdll.dll",
    "C:\\Program Files\\AVAST Software\\Avast\\aswhook.dll",
    "C:\\WINDOWS\\System32\\KERNEL32.DLL",
    "C:\\WINDOWS\\System32\\KERNELBASE.dll",
    "C:\\WINDOWS\\System32\\WS2_32.dll",
    "C:\\WINDOWS\\System32\\RPCRT4.dll",
    "C:\\WINDOWS\\System32\\ADVAPI32.dll",
    "C:\\WINDOWS\\SYSTEM32\\dbghelp.dll",
    "C:\\WINDOWS\\System32\\msvcrt.dll",
    "C:\\WINDOWS\\System32\\ucrtbase.dll",
    "C:\\WINDOWS\\System32\\sechost.dll",
    "C:\\WINDOWS\\System32\\USER32.dll",
    "C:\\WINDOWS\\System32\\win32u.dll",
    "C:\\WINDOWS\\System32\\GDI32.dll",
    "C:\\WINDOWS\\System32\\gdi32full.dll",
    "C:\\WINDOWS\\System32\\msvcp_win.dll",
    "C:\\WINDOWS\\System32\\PSAPI.DLL",
    "C:\\WINDOWS\\System32\\CRYPT32.dll",
    "C:\\WINDOWS\\System32\\bcrypt.dll",
    "C:\\WINDOWS\\SYSTEM32\\IPHLPAPI.DLL",
    "C:\\WINDOWS\\SYSTEM32\\USERENV.dll",
    "C:\\WINDOWS\\SYSTEM32\\WINMM.dll",
    "C:\\WINDOWS\\System32\\IMM32.DLL",
    "C:\\WINDOWS\\SYSTEM32\\powrprof.dll",
    "C:\\WINDOWS\\SYSTEM32\\UMPDC.dll",
    "C:\\WINDOWS\\SYSTEM32\\CRYPTBASE.DLL",
    "C:\\WINDOWS\\system32\\uxtheme.dll",
    "C:\\WINDOWS\\System32\\combase.dll",
    "C:\\WINDOWS\\system32\\mswsock.dll",
    "C:\\WINDOWS\\SYSTEM32\\kernel.appcore.dll",
    "C:\\WINDOWS\\System32\\bcryptprimitives.dll",
    "C:\\WINDOWS\\System32\\NSI.dll",
    "C:\\WINDOWS\\SYSTEM32\\dhcpcsvc6.DLL",
    "C:\\WINDOWS\\SYSTEM32\\dhcpcsvc.DLL",
    "C:\\WINDOWS\\SYSTEM32\\DNSAPI.dll",
    "\\\\?\\C:\\FatboarProject\\express-server\\node_modules\\bcrypt\\lib\\binding\\napi-v3\\bcrypt_lib.node",
    "C:\\Windows\\System32\\rasadhlp.dll",
    "C:\\WINDOWS\\System32\\fwpuclnt.dll",
    "C:\\WINDOWS\\system32\\napinsp.dll",
    "C:\\WINDOWS\\system32\\pnrpnsp.dll",
    "C:\\WINDOWS\\system32\\wshbth.dll",
    "C:\\WINDOWS\\system32\\NLAapi.dll",
    "C:\\WINDOWS\\System32\\winrnr.dll"
  ]
}